package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.request.LandRequest;
import com.caliverse.admin.dynamodb.domain.doc.LandAuctionActivityDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface LandAuctionActivityRepository extends DynamoDBRepository<LandAuctionActivityDoc> {
    void upsertActivity(LandRequest landRequest);
    int findAuctionNumber(Integer landId);
    DynamodbOperationResult initLandAuctionActivity(Integer landId, Integer auctionSeq);
}
